<div class="responsive">
  <br>

  <p *ngIf="userService.isSignedIn === undefined; else render">
    Please wait ...
  </p>

  <ng-template #render>
    <div *ngIf="userService.user$ | async as user; else login">
      <mat-card>
        <div class="flex-between marg-bot-3">
          <div>
            <h2>Hello, {{ user.displayName}}.</h2>
            <div>
              Peran anda di KawalRumahSakit adalah sebagai
              <strong>{{ userService.role }}</strong>
            </div>
          </div>
          <div>
            <img [src]="user.photoURL">
          </div>
        </div>
        <ng-container *ngIf="userService.isPublic">
          <p>Terimakasih telah mendaftar sebagai Relawan KawalRumahSakit.</p>
        </ng-container>
        <ng-container *ngIf="status == 'update'">
          <button type="button" mat-stroked-button color="primary" (click)="toggleForm()" class="marg-top-3">Update profile</button>
          <br/><br/>
        </ng-container>
        <ng-container *ngIf="showForm">
          <form [formGroup]="form" (ngSubmit)="updateProfile()">
            <mat-divider></mat-divider>
            <br/>
            <h2 *ngIf="status=='new'" class="marg-top-3">Silakan lengkapi profil anda untuk proses verifikasi Relawan</h2>
            <div class="form-field" [ngClass]="{'warning':form.get('profesi').value == ''}">
              <div class="label-form">Profesi anda</div>
              <div class="marg-left-3">
                <mat-radio-group aria-label="Profesi" formControlName="profesi" class="profesi-options">
                  <mat-radio-button value="Dokter">Dokter</mat-radio-button><br>
                  <mat-radio-button value="Perawat">Perawat</mat-radio-button><br>
                  <mat-radio-button value="Bidan">Bidan</mat-radio-button><br>
                  <mat-radio-button value="Staf Administrasi RS">Staf Administrasi RS</mat-radio-button><br>
                  <mat-radio-button value="Dosen">Dosen</mat-radio-button><br>
                  <mat-radio-button value="Public health specialist">Public health specialist</mat-radio-button><br>
                  <mat-radio-button value="Epidemiologist">Epidemiologist</mat-radio-button><br>
                  <mat-radio-button value="Lainnya">
                    <div class="profesi-lainnya">
                      <span matLine>Lainnya: </span>
                      <mat-form-field class="input-profesi-lainnya">
                        <input matInput (click)="change()" (change)="change()" formControlName="profesiLainnya"
                          autocomplete="off">
                      </mat-form-field>
                    </div>
                  </mat-radio-button><br>
                </mat-radio-group>
              </div>
            </div>
            <div class="form-field" [ngClass]="{'warning':form.get('instansi').value == ''}">
              <div class="label-form">Asal Instansi</div>
              <mat-form-field class="d-block" appearance="outline" [style.backgroundColor]="form.get('instansi').value ? '' : 'yellow'">
                <input matInput formControlName="instansi" autocomplete="off" placeholder="Isikan instansi">
                <mat-hint>Isikan instansi atau organisasi anda bekerja</mat-hint>
              </mat-form-field>
            </div>
            <div class="form-field" [ngClass]="{'warning':form.get('regEmail').value == ''}">
              <div class="label-form">Alamat Email</div>
              <mat-form-field class="d-block" appearance="outline">
                <input matInput formControlName="regEmail" autocomplete="off" placeholder="Isikan alamat email">
              </mat-form-field>
            </div>
            <div class="form-field" [ngClass]="{'warning':form.get('noHp').value == ''}">
              <div class="label-form">Nomor Seluler/WhatsApp</div>
              <mat-form-field class="d-block" appearance="outline">
                <input matInput formControlName="noHp" autocomplete="off" placeholder="Isikan nomor Seluler/WhatsApp">
              </mat-form-field>
            </div>
            <div class="form-field" [ngClass]="{'warning':form.get('fotoIdCard').value == ''}">
              <div class="label-form">Foto kartu pegawai atau ID card</div>
              <div class="marg-top-3">
                <div *ngIf="uploading">
                  Uploading ... <b>{{ (percentage$ | async) / 100 | percent:'1.1-1':'id' }}</b>
                  <mat-spinner [diameter]="30"></mat-spinner>
                </div>
                <div [hidden]="uploading">
                  <div *ngIf="this.form.get('fotoIdCard').value as src">
                    <img [src]="src" style="image-orientation: none;" width="200">
                  </div>
                  <input type="file" (change)="onFileSelected($event)" accept=".png,.jpg" />
                </div>
              </div>
            </div>
            <div class="form-field" [ngClass]="{'warning':form.get('deskripsi').value == ''}">
              <div class="marg-top-3 label-form">Deskripsi Diri</div>
              <mat-form-field class="d-block marg-top-3" appearance="outline">
                <textarea matInput formControlName="deskripsi" rows="5" cols="100"></textarea>
                <mat-hint>Deskripsikan diri anda supaya kami dapat mengukur relevansi anda menjadi relawan</mat-hint>
              </mat-form-field>
            </div>

            <div class="marg-top-3 narg-bot-3">
              <mat-spinner [diameter]="30" *ngIf="status == 'submitting'"></mat-spinner>
              <p *ngIf="status == 'done'" class="aler alert-success">
                Data profil anda berhasil diperbarui.
              </p>
              <button mat-raised-button color="primary" type="submit"
                [disabled]="!form.dirty || form.errors || uploading">
                Simpan Profil
              </button>
            </div>
            <br/>
          </form>
        </ng-container>


        <mat-divider></mat-divider>
        <mat-card-actions class="flex-between">
          <!-- <button mat-button [routerLink]="['/viz']">
            <mat-icon class="icon">keyboard_arrow_left</mat-icon><span class="marg-left-3">Kembali ke halaman
              utama</span>
          </button> -->
          <span></span>
          <button mat-raised-button color="warn" aria-label="Logout" (click)="userService.logout()">
            Logout
          </button>
        </mat-card-actions>
      </mat-card>
    </div>

    <ng-template #login>
      <p *ngIf="userService.isSignedIn">Signing in ...
        <mat-spinner diameter="25"></mat-spinner>
      </p>
      <mat-card *ngIf="!userService.isSignedIn">
        <h1>Menjadi Relawan</h1>
        <p>Untuk menjadi relawan KawalRumahSakit, anda harus masuk log dulu menggunakan akun Facebook anda.</p>

        <p>Silakan lengkapi profil anda setelah masuk log. Selanjutnya moderator kami akan
          mengulas/review permintaan menjadi relawan yang anda ajukan.</p>

        <p>Setelah disetujui menjadi relawan KawalRumahSakit, anda baru bisa mencari
          dan memasukkan data untuk Rumah Sakit atau Fasilitas Pelayanan Kesehatan di
          Indonesia.</p>
        <mat-divider></mat-divider>
        <mat-card-actions class="flex-between">
          <!-- <button mat-button [routerLink]="['/viz']">
            <mat-icon class="icon">keyboard_arrow_left</mat-icon><span class="marg-left-3">Kembali ke halaman
              utama</span>
          </button> -->
          <span></span>
          <button mat-raised-button class="login-button" aria-label="Login" (click)="userService.loginFacebook()">
            Masuk dengan Facebook
          </button>
        </mat-card-actions>
      </mat-card>
    </ng-template>
  </ng-template>
</div>
